section {
  max-width: 1000px;
}

h2 {
  text-align: center;
}

.container {
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 0 2rem;
}

.ruleCard {
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
  padding-top: 2rem;
}

.ruleCard h2,
.container h2,
.leaderboard-section h2 {
  margin-bottom: 0.5rem;
}

.intro-desc p {
  text-align: center;
  text-align-last: unset;
}

.eventImgCont img {
  width: 100%;
  height: auto;
}

@media only screen and (max-width: 426px) {
  section {
    padding: 1.5rem 1rem;
  }
}

.quest-header-sect {
  padding-bottom: 0;
}

.star-quest-top-sect {
  display: flex;
  flex-direction: column;
  gap: 3rem;
  padding-bottom: 1rem;
}

.form-section {
  /* padding-top: 2rem; */
  display: flex;
  flex-direction: column;
  align-items: center;
}

input[type="text"],
input[type="email"],
input[type="number"],
textarea,
select {
  width: 50%;
  padding: 0.8rem;
  border: 1px solid #ccc;
  border-radius: 4px;
  box-sizing: border-box;
  margin-bottom: 1rem;
  margin-top: 1rem;
  resize: vertical;
}

button:hover {
  cursor: pointer;
}

#submitBtn {
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
}

#submitBtn .btn {
  min-width: unset;
  width: unset;
}

#submitSpinner {
  position: absolute;
  left: 100%;
}

#submitBtn button:disabled,
#submitBtn button[disabled] {
  opacity: 0.5;
  pointer-events: none;
}

#playerResult,
#noPlayerResult {
  margin: 1rem 0;
}

.player-card {
  width: fit-content;
  margin: 1rem auto;
  padding: 1rem;
  background: #fafafa;
  border: 1px solid #ddd;
  border-radius: 0.5rem;
  text-align: center;
}
.player-name {
  font-size: 1.25rem;
  margin-bottom: 0.5rem;
}
.player-stars {
  color: #f5b301;
  font-weight: bold;
}

/*posters section*/
.posters-section {
  padding-top: 0;
  margin-top: -2rem;
  /* padding-bottom: 2rem; */
  /* height: 100vh; */
  flex-direction: column;
}

.swiper {
  width: 100%;
  --swiper-navigation-sides-offset: calc(
    50% - 160px - var(--swiper-navigation-size, 44px) / 2
  );
  --swiper-pagination-bullet-inactive-color: #666362;
  --swiper-pagination-color: #2f2d2c;
}

.swiper-wrapper {
  width: 100%;
  height: 30em;
  display: flex;
  align-items: center;
}

.card {
  width: 20em;
  height: 80%;
  border-radius: 2em;
  box-shadow: 0 0 2em rgba(0, 0, 0, 0.2);
}

.card img {
  width: 100%;
  height: 100%;
  border-radius: 5px;
  object-fit: cover;
  cursor: pointer;
}

.card .info {
  z-index: 3;
  position: absolute;
  bottom: 0;
  left: 0;
  margin: 1.25rem;
  color: #fff;
  transform: translateY(20px);
  opacity: 0;
  transition: 0.5s ease;
}

.card:hover .info,
.card.swiper-slide-active .info {
  transform: translateY(0);
  opacity: 1;
}

.card .info h3 {
  font-size: 1.5em;
}

.card .info p {
  font-size: 1.2em;
  text-align: unset;
  text-align-last: unset;
}

.swiper-slide:not(.swiper-slide-active) {
  filter: grayscale(1);
}
